XtAppAddConverter(3)

NAME
XtAppAddConverter, XtAddConverter - register resource converter

SYNTAX

void XtAppAddConverter(XtAppContext app_context, String from_type, String to_type, XtConverter converter, XtConvertArgList convert_args, Cardinal num_args);

void XtAddConverter(String from_type, String to_type, XtConverter converter, XtConvertArgList convert_args, Cardinal num_args);

ARGUMENTS

app_context
    Specifies the application context.

converter
    Specifies the type converter procedure.

convert_args
    Specifies how to compute the additional arguments to the converter or NULL.

from_type
    Specifies the source type.

num_args
    Specifies the number of additional arguments to the converter or zero.

to_type
    Specifies the destination type.

DESCRIPTION
is equivalent in function to with cache_type equal to for old-format type converters. It has been superseded by

is equivalent in function to with cache_type equal to for old-format type converters. It has been superseded by

SEE ALSO
XtConvert(3), XtStringConversionWarning(3)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface